Package org.silverpeas.components.gallery.model

## Class Photo

- java.lang.Object
- - org.silverpeas.components.gallery.model.Media
  - - org.silverpeas.components.gallery.model.InternalMedia
    - - org.silverpeas.components.gallery.model.Photo

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.contribution.contentcontainer.content.SilverContentInterface`, `org.silverpeas.core.contribution.model.Contribution`, `org.silverpeas.core.contribution.model.SilverpeasContent`, `org.silverpeas.core.contribution.model.WithPermanentLink`, `org.silverpeas.core.Identifiable`, `org.silverpeas.core.Instance<org.silverpeas.core.contribution.model.Contribution>`, `org.silverpeas.core.Nameable`, `org.silverpeas.core.security.Securable`, `org.silverpeas.core.SilverpeasResource`

      public class Photo
      extends InternalMedia

  This class represents a Photo.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.components.gallery.model.Media

      `BASE_PATH`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `Photo()` |
    `protected` | `Photo​(Photo other)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getApplicationEmbedUrl​(MediaResolution mediaResolution)` | Gets the Application URL thumbnail of the media according the specified media resolution.
    `Photo` | `getCopy()` | Creates a copy of the instance.
    `org.silverpeas.core.io.media.Definition` | `getDefinition()` | Gets the definition of the photo.
    `static String` | `getResourceType()` | The type of this resource
    `MediaType` | `getType()` |
    `boolean` | `isPreviewable()` | Indicates if the media is previewable.
    `void` | `setDefinition​(org.silverpeas.core.io.media.Definition definition)` | Sets the definition of the resolution.

    - ### Methods inherited from class org.silverpeas.components.gallery.model.InternalMedia

      `addMetaData, getApplicationThumbnailUrl, getDownloadPeriod, getFile, getFileMimeType, getFileName, getFileSize, getMetaData, getMetaDataProperties, isDownloadable, isDownloadAuthorized, setDownloadAuthorized, setDownloadPeriod, setFileMimeType, setFileName, setFileSize`

    - ### Methods inherited from class org.silverpeas.components.gallery.model.Media

      `addToAlbums, canBeAccessedBy, equals, getApplicationOriginalUrl, getAuthor, getContributionType, getCreationDate, getCreator, getCreatorId, getCreatorName, getDate, getDescription, getDescription, getFile, getHighestUserRole, getIconUrl, getId, getInstanceId, getInternalMedia, getKeyWord, getLanguages, getLastUpdateDate, getLastUpdatedBy, getLastUpdater, getLastUpdaterName, getMediaPK, getName, getName, getPermalink, getPhoto, getSilverCreationDate, getSilverpeasContentId, getSound, getStreaming, getTitle, getURL, getVideo, getVisibilityPeriod, getWorkspaceSubFolderName, hashCode, isVisible, isVisible, removeFromAllAlbums, setAuthor, setComponentInstanceId, setCreationDate, setCreator, setCreatorId, setDescription, setIconUrl, setId, setKeyWord, setLastUpdateDate, setLastUpdatedBy, setLastUpdater, setMediaPK, setSilverpeasContentId, setTitle, setToAlbums, setVisibilityPeriod, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.contribution.model.Contribution

      `getModel, getResourcePath, isIndexable`

    - ### Methods inherited from interface org.silverpeas.core.Instance

      `getParent`

    - ### Methods inherited from interface org.silverpeas.core.security.Securable

      `canBeDeletedBy, canBeFiledInBy, canBeModifiedBy`

    - ### Methods inherited from interface org.silverpeas.core.contribution.contentcontainer.content.SilverContentInterface

      `getComponentInstanceId`

    - ### Methods inherited from interface org.silverpeas.core.contribution.model.SilverpeasContent

      `getIdentifier`

- - ### Constructor Detail

    - #### Photo

          public Photo()

    - #### Photo

          protected Photo​(Photo other)

  - ### Method Detail

    - #### getType

          public MediaType getType()

      Specified by:
        `getType` in class `Media`

    - #### getDefinition

          public org.silverpeas.core.io.media.Definition getDefinition()

      Gets the definition of the photo.
      Returns:
        the definition of the photo.

    - #### setDefinition

          public void setDefinition​(org.silverpeas.core.io.media.Definition definition)

      Sets the definition of the resolution.
      Parameters:
        `definition` - the definition of the resolution.

    - #### getResourceType

          public static String getResourceType()

      The type of this resource
      Returns:
        the same value returned by getContributionType()

    - #### isPreviewable

          public boolean isPreviewable()

      Description copied from class: `Media`
      Indicates if the media is previewable.
      Overrides:
        `isPreviewable` in class `Media`
      Returns:
        true if the media is previewable, false otherwise.

    - #### getApplicationEmbedUrl

          public String getApplicationEmbedUrl​(MediaResolution mediaResolution)

      Description copied from class: `Media`
      Gets the Application URL thumbnail of the media according the specified media resolution.
      Overrides:
        `getApplicationEmbedUrl` in class `Media`
      Parameters:
        `mediaResolution` - resolution of the thumbnail
      Returns:
        the URL of media thumbnail.

    - #### getCopy

          public Photo getCopy()

      Description copied from class: `Media`
      Creates a copy of the instance.
      Specified by:
        `getCopy` in class `Media`
      Returns:
        the new instance.